diff -pruN 2.2.0-1/debian/changelog 2.2.0-2/debian/changelog
--- 2.2.0-1/debian/changelog	2021-03-05 17:25:42.000000000 +0000
+++ 2.2.0-2/debian/changelog	2021-03-08 15:41:40.000000000 +0000
@@ -1,3 +1,9 @@
+cvise (2.2.0-2) unstable; urgency=medium
+
+  * Fix issue #47, remove temporary files in working directory.
+
+ -- Matthias Klose <doko@debian.org>  Mon, 08 Mar 2021 16:41:40 +0100
+
 cvise (2.2.0-1) unstable; urgency=medium
 
   * New upstream version.
diff -pruN 2.2.0-1/debian/cvise.1 2.2.0-2/debian/cvise.1
--- 2.2.0-1/debian/cvise.1	2021-01-12 18:30:25.000000000 +0000
+++ 2.2.0-2/debian/cvise.1	2021-03-05 17:34:35.000000000 +0000
@@ -1,5 +1,5 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.47.16.
-.TH CVISE "1" "January 2021" "cvise 2.1.0" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.48.1.
+.TH CVISE "1" "March 2021" "cvise 2.2.0" "User Commands"
 .SH NAME
 cvise \- super-parallel Python port of the C-Reduce project
 .SH DESCRIPTION
@@ -13,8 +13,10 @@ usage: cvise [\-h] [\-\-n N] [\-\-tidy]
 [\-\-timeout [TIMEOUT]] [\-\-no\-cache] [\-\-skip\-key\-off]
 [\-\-max\-improvement BYTES]
 [\-\-pass\-group {opencl\-120,delta,all} | \fB\-\-pass\-group\-file\fR PASS_GROUP_FILE]
-[\-\-clang\-delta\-std {c++98,c++11,c++14,c++17,c++20}] [\-\-not\-c]
-[\-\-renaming] [\-\-list\-passes] [\-\-version] [\-\-commands COMMANDS]
+[\-\-clang\-delta\-std {c++98,c++11,c++14,c++17,c++20}]
+[\-\-clang\-delta\-preserve\-routine CLANG_DELTA_PRESERVE_ROUTINE]
+[\-\-not\-c] [\-\-renaming] [\-\-list\-passes] [\-\-version]
+[\-\-commands COMMANDS]
 [INTERESTINGNESS_TEST] TEST_CASE [TEST_CASE ...]
 .PP
 C\-Vise
@@ -120,6 +122,9 @@ JSON file defining a custom pass group
 Specify clang_delta C++ standard, it can rapidly speed
 up all clang_delta passes
 .TP
+\fB\-\-clang\-delta\-preserve\-routine\fR CLANG_DELTA_PRESERVE_ROUTINE
+Preserve the given function in replace\-function\-defwith\-decl clang delta pass
+.TP
 \fB\-\-not\-c\fR
 Don't run passes that are specific to C and C++, use
 this mode for reducing other languages
diff -pruN 2.2.0-1/debian/patches/issue47.diff 2.2.0-2/debian/patches/issue47.diff
--- 2.2.0-1/debian/patches/issue47.diff	1970-01-01 00:00:00.000000000 +0000
+++ 2.2.0-2/debian/patches/issue47.diff	2021-03-08 15:39:49.000000000 +0000
@@ -0,0 +1,26 @@
+diff --git a/cvise.py b/cvise.py
+index 0a6d5bd..7171f9d 100755
+--- a/cvise.py
++++ b/cvise.py
+@@ -307,6 +307,6 @@ def get_available_pass_groups():
+             with open(test_case) as test_case_file:
+                 print(test_case_file.read())
+         if script:
+-            os.remove(script.name)
++            os.unlink(script.name)
+ 
+     logging.shutdown()
+diff --git a/cvise/passes/lines.py b/cvise/passes/lines.py
+index f326325..07fb78b 100644
+--- a/cvise/passes/lines.py
++++ b/cvise/passes/lines.py
+@@ -33,8 +33,8 @@ def __format(self, test_case, check_sanity):
+             shutil.move(tmp_file.name, test_case)
+             try:
+                 check_sanity()
++                os.unlink(backup.name)
+             except InsaneTestCaseError:
+-
+                 shutil.move(backup.name, test_case)
+                 # if we are not the first lines pass, we should bail out
+                 if self.arg != '0':
diff -pruN 2.2.0-1/debian/patches/series 2.2.0-2/debian/patches/series
--- 2.2.0-1/debian/patches/series	2021-01-12 18:22:11.000000000 +0000
+++ 2.2.0-2/debian/patches/series	2021-03-08 15:41:33.000000000 +0000
@@ -1 +1,2 @@
 # git-updates.diff
+issue47.diff
